Bug 477703 - Exported content need to conform to Satellite schema (e.g., errata description not exceeding 4k chars)
Exported content need to conform to Satellite schema (e.g., errata descriptio...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization (Show other bugs)
511
All Linux
high Severity high
: ---
: ---
Assigned To: Pradeep Kilambi
Shannon Hughes
:
: 476756 (view as bug list)
Depends On: 477701
Blocks: 457071
  Show dependency treegraph
 
Reported: 2008-12-22 18:22 EST by Xixi
Modified: 2010-10-23 02:43 EDT (History)
6 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:04:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xixi 2008-12-22 18:22:46 EST
Per discussion with Prad, cloning this for Satellite for exporter side, to port from Hosted fix when there is one.

+++ This bug was initially created as a clone of Bug #477701 +++

Description of problem:
In the case of different character encodings, content exported from Hosted may exceed Satellite schema, causing satellite-sync failure.

Example:
Recently due to special characters in Errata Description of erratum https://rhn.redhat.com/rhn/errata/details/Details.do?eid=7924, the exported content exceeded 4000 char limit causing all (pre-5.2) Satellite-syncs to fail for RHEL 5 channels.

Bug 476751 -  ValueError: string data too large
and 
Bug 476756 -  sat-sync unhandled exception 1461, 'ORA-01461: can bind a LONG
value only for insert into a LONG columnn'

The short term fix was to reduce char count for the description of the erratum in question even further.  For the long-term fix on the export side, need to make sure the exported content conforms to the schema on import side (errata description is one specific field, this needs to be done in general).

Version-Release number of selected component (if applicable):
Current (5.0.8)

How reproducible:
See example above.

Steps to Reproduce:
1. See example above.
2.
3.
  
Actual results:
See example above.

Expected results:
Regardless of character encoding, the exported content from Hosted should conform to schema on importer side (Satellite). 

Additional info:
Comment 1 Pradeep Kilambi 2009-03-23 18:17:07 EDT
*** Bug 476756 has been marked as a duplicate of this bug. ***
Comment 6 Jeff Browning 2009-05-26 13:21:48 EDT
May I get test reproduction steps for this please?
Comment 8 Shannon Hughes 2009-06-30 13:46:11 EDT
synced satellite that had errata RHSA-2008:1017 in the channels and the sync passed. 

looks good.
Comment 10 Magnus Glantz 2009-08-07 08:12:01 EDT
Sync of a 5.0.2 Satelite failed with "ValueError: string data too large" today.
Comment 11 Brandon Perkins 2009-09-10 16:04:15 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.